=== grc/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-hpsdr
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

install(FILES
    hpsdr_hermesNB.block.yml
    hpsdr_hermesWB.block.yml DESTINATION share/gnuradio/grc/blocks
)
