=== debian/changelog ===
gr-hpsdr (3.10-1) unstable; urgency=medium

  * May 16, 2022 upstream release.
  * update watch file

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 09 Sep 2025 13:18:43 -0700
