=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?V?(\d[\d.]*)\.tar\.gz%gr-hpsdr-$1.tar.gz%" \
https://github.com/Tom-McDermott/gr-hpsdr/tags \
(?:.*?/)?V?(\d[\d.]*)\.tar\.gz debian uupdate
